> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 替换片段

> 替换已生成音乐音轨中的特定片段

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询音乐详情](https://docs.poyo.ai/zh/api-manual/music-series/query-music-detail.md)接口获取结果。

只能提供一种来源：`task_id` 加 `audio_id`，或上传的 `upload_url` 加 `mv`。上传的音频可以直接编辑。替换区间至少为 10 秒，且不能超过源音频时长的 50%。

## 使用指南

* 此接口用新内容替换现有音乐音轨中的特定时间范围
* 适用于编辑主歌、副歌或已生成音轨中的任何特定部分
* 替换内容根据你的提示词和风格标签生成

## 参数详情

* `task_id` 和 `audio_id`：编辑先前生成的音轨时需同时提供；使用 `upload_url` 时两者都省略
* `upload_url` 和 `mv`：编辑上传的音频时需同时提供；与 `task_id` 和 `audio_id` 互斥
* `tags`（必填）：替换片段的风格标签
* `title`（必填）：结果音轨的标题
* `infill_start_s`（必填）：开始时间（秒，最小为 0，最多 2 位小数）
* `infill_end_s`（必填）：结束时间（秒，必须大于开始时间）
* `full_lyrics`（必填）：修改后整首音轨的完整歌词

## 开发者说明

* 确保 `infill_end_s` 始终大于 `infill_start_s`
* 时间范围应在原音轨时长之内
* 如需在整首音轨中保持歌词一致，请使用 `full_lyrics`

## 可选参数

* `negative_tags` (string)：替换片段中要排除的风格
* `prompt` (string)：替换内容的描述（歌词或音乐描述）
* `callback_url` (string)：用于接收完成通知的 Webhook URL


## OpenAPI

````yaml zh/api-manual/music-series/replace-section.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - 替换片段 API
  description: 替换已生成音乐音轨的指定片段
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Music Editing
      summary: 提交替换片段任务
      description: 用新内容替换现有音乐音轨中的指定时间段
      operationId: submitReplaceSectionTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              replace-chorus:
                summary: 替换副歌片段
                value:
                  model: replace-section
                  callback_url: https://your-domain.com/callback
                  input:
                    task_id: 5c79xxxxbe8e
                    audio_id: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
                    prompt: A powerful chorus with soaring vocals
                    tags: pop, upbeat
                    title: Summer Dreams
                    infill_start_s: 30
                    infill_end_s: 60
                    full_lyrics: Complete song lyrics including the replacement chorus
              replace-with-lyrics:
                summary: 使用完整歌词替换片段
                value:
                  model: replace-section
                  callback_url: https://your-domain.com/callback
                  input:
                    task_id: 5c79xxxxbe8e
                    audio_id: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
                    prompt: New verse lyrics here
                    tags: jazz, smooth
                    title: Midnight Blues
                    infill_start_s: 15.5
                    infill_end_s: 45
                    negative_tags: rock, heavy
                    full_lyrics: >-
                      Complete song lyrics including modified and unmodified
                      sections
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: |-
            API 模型标识符。

            此接口必须为 `replace-section`。
          enum:
            - replace-section
          example: replace-section
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - tags
            - title
            - infill_start_s
            - infill_end_s
            - full_lyrics
          oneOf:
            - required:
                - task_id
                - audio_id
              not:
                required:
                  - upload_url
            - required:
                - upload_url
                - mv
              not:
                anyOf:
                  - required:
                      - task_id
                  - required:
                      - audio_id
          description: 片段替换的输入参数
          properties:
            task_id:
              type: string
              description: |-
                原始任务 ID（父任务）。

                用于识别要替换片段的源音乐。
              example: 5c79xxxxbe8e
            audio_id:
              type: string
              description: |-
                要替换的音轨唯一标识符。

                音乐生成完成后，此 ID 会在回调数据中返回。
              example: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
            upload_url:
              type: string
              format: uri
              pattern: ^https?://
              description: HTTP(S) 上传的源音频；与 task_id/audio_id 互斥。
            mv:
              type: string
              enum:
                - V4
                - V4_5
                - V4_5ALL
                - V4_5PLUS
                - V5
                - V5_5
                - V6
                - V6_MINI
                - V6_WILD
              description: 使用 upload_url 时必填。
            prompt:
              type: string
              description: |-
                描述替换音频内容的文本。

                描述你希望替换片段中包含的歌词、旋律或音乐内容。
              example: A powerful chorus with soaring vocals
            tags:
              type: string
              pattern: \S
              description: |-
                音乐风格标签。

                指定替换片段的流派、情绪或风格（例如 jazz、electronic、upbeat）。
              example: pop, upbeat
            title:
              type: string
              pattern: \S
              description: |-
                音乐标题。

                生成音轨的标题。
              example: Summer Dreams
            infill_start_s:
              type: number
              multipleOf: 0.01
              description: 开始时间（秒）。替换区间至少 10 秒，且不超过源音频时长的 50%。最多支持 2 位小数。
              minimum: 0
              example: 30
            infill_end_s:
              type: number
              multipleOf: 0.01
              description: >-
                结束时间（秒）。必须大于 `infill_start_s`；区间至少 10 秒，且不超过源音频时长的 50%。最多支持 2
                位小数。
              example: 60
            negative_tags:
              type: string
              description: |-
                替换时要排除的风格。

                指定生成片段中要避免的流派或特征。
              example: rock, heavy metal
            full_lyrics:
              type: string
              pattern: \S
              description: |-
                修改后的完整歌词。

                包含整首音轨中已修改和未修改的歌词。
              example: Complete song lyrics including all sections
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.